Subject: bug#52264: closed (Re: bug#52264: [PATCH] M-x describe-input-method for chinese-cns-quick is missing K key)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Dec 2021 11:05:02 +0000

Your bug report

#52264: 28.0.90; M-x describe-input-method for chinese-cns-quick is missing K key

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52264: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52264
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52264: [PATCH] M-x describe-input-method for chinese-cns-quick is missing K key
From: Eli Zaretskii <[email-masked]>
To: Cameron Desautels <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Dec 2021 13:04:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Cameron Desautels <[email-masked]>
> Date: Thu, 9 Dec 2021 00:29:55 -0800
> 
> I can confirm that what Van is saying is correct.
> 
> The input methods do /work/ correctly, so just the docs are wrong.  And
> that particular chart is hardcoded (i.e. not generated).  I did a bit of
> git spelunking and it seems to have been wrong from the start; probably
> just an accidental omission.
> 
> Without diving into a full explanation of how these input methods work,
> if you select any one of these input methods and type any of the QWERTY
> keys in the chart (and press SPACE to finalize the selection), you'll
> see the corresponding Chinese character appear in the buffer.  K does,
> in fact, produce 大, as a person familiar with Cangjie would expect.
> Wikipedia has a decent page[1] if you want to learn more.
> 
> I hope that's helpful.  Patch attached.

Thanks, I installed this on the emacs-28 branch, and I'm closing the
bug.

Subject: 28.0.90; M-x describe-input-method for chinese-cns-quick is missing K key
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Fri, 3 Dec 2021 18:26:33 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

The input method description is missing the K key in following input 
methods.

   M-x set-input-method
* chinese-cns-quick
* chinese-cns-tsangchi
* chinese-b5-quick
* chinese-b5-tsangchi

The K key is expected in the key sequence H J K L for QWERTY keyboard 
as shown in the *Help* buffer after invoking

   M-x describe-input-method

This is what it looks like, the K key is missing:
     [A 日] [S 尸] [D 木] [F 火] [G 土] [H 竹] [J 十] [L 中]

This is what a K key looks like inserted in the above key row:
     [A 日] [S 尸] [D 木] [F 火] [G 土] [H 竹] [J 十] [K 大] [L 中]

-- 
vl